Subject: Re: [OAUTH-WG] MAC Tokens body hash
From: Eran Hammer-Lahav <[email-masked]>
To: "William J. Mills" <[email-masked]>, OAuth WG <[email-masked]>
Cc: Ben Adida <[email-masked]>, "'Adam Barth \([email-masked]\)'" <[email-masked]>
Date: Mon, 1 Aug 2011 08:59:58 -0700
List-Id: OAUTH WG <oauth.ietf.org>

Would you still like to see both such app-specific payload hash AND the ext parameter? I'm thinking of taking your idea and dropping ext. This way, the application can define anything they want to put in the payload hash.

EHL

From: William J. Mills [mailto:[email-masked]]
Sent: Monday, August 01, 2011 8:41 AM
To: Eran Hammer-Lahav; OAuth WG
Cc: Ben Adida; 'Adam Barth ([email-masked])'
Subject: Re: [OAUTH-WG] MAC Tokens body hash

Instead of "body" hash why not make it a payload hash or additional hash.  The app can include a hash of data there as defined by the app, and you've reserved a spot for that.

________________________________
From: Eran Hammer-Lahav <[email-masked]<mailto:[email-masked]>>
To: OAuth WG <[email-masked]<mailto:[email-masked]>>
Cc: Ben Adida <[email-masked]<mailto:[email-masked]>>; "'Adam Barth ([email-masked]<mailto:[email-masked]>)'" <[email-masked]<mailto:[email-masked]>>
Sent: Friday, July 29, 2011 6:43 PM
Subject: [OAUTH-WG] MAC Tokens body hash
I plan to drop support for the bodyhash parameter in the next draft based on bad implementation experience. Even with simple text body, UTF encoding has introduced significant issues for us. The current draft does not work using simple JS code between a browser and node.js even when both use the same v8 engine due to differences in the body encoding. Basically, the JS string used to send a request from the browser is not the actual string sent on the wire.

To fix that, we need to force UTF-8 encoding on both sides. However, that is very much application specific. This will not work for non-text bodies. Instead, the specification should offer a simple way to use the ext parameter for such needs, including singing headers. And by offer I mean give examples, but leave it application specific for now.

I am open to suggestions but so far all the solutions I came up with will introduce unacceptable complexity that will basically make this work useless.

EHL

_______________________________________________
OAuth mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/oauth